# Uses of Enum Class
org.snpeff.vcf.EffFormatVersion

Packages that use EffFormatVersion
Package
Description
org.snpeff.outputFormatter
org.snpeff.snpEffect
org.snpeff.snpEffect.commandLine
org.snpeff.vcf

## Uses of EffFormatVersion in org.snpeff.outputFormatter

Methods in org.snpeff.outputFormatter with parameters of type EffFormatVersion
Modifier and Type
Method
Description
`void`
VcfOutputFormatter.`setFormatVersion(EffFormatVersion formatVersion)`

## Uses of EffFormatVersion in org.snpeff.snpEffect

Methods in org.snpeff.snpEffect with parameters of type EffFormatVersion
Modifier and Type
Method
Description
`String`
VariantEffect.`getEffectTypeString(boolean useSeqOntology, boolean useFirstEffect, EffFormatVersion formatVersion)`
Get Effect Type as a string
`static EffectType`
EffectType.`parse(EffFormatVersion formatVersion, String str)`
Parse a string to an EffectType
`String`
EffectType.`toSequenceOntology(EffFormatVersion formatVersion, Variant variant)`

## Uses of EffFormatVersion in org.snpeff.snpEffect.commandLine

Methods in org.snpeff.snpEffect.commandLine with parameters of type EffFormatVersion
Modifier and Type
Method
Description
`void`
SnpEffCmdEff.`setFormatVersion(EffFormatVersion formatVersion)`

## Uses of EffFormatVersion in org.snpeff.vcf

Subclasses with type arguments of type EffFormatVersion in org.snpeff.vcf
Modifier and Type
Class
Description
`enum`
`EffFormatVersion`
VcfFields in SnpEff version 2.X have a different format than 3.X As of version 4.1 we switch to a standard annotation format
Fields in org.snpeff.vcf declared as EffFormatVersion
Modifier and Type
Field
Description
`static final EffFormatVersion`
EffFormatVersion.`DEFAULT_FORMAT_VERSION`
Methods in org.snpeff.vcf that return EffFormatVersion
Modifier and Type
Method
Description
`EffFormatVersion`
VcfEffect.`formatVersion()`
Guess effect format version
`protected EffFormatVersion`
VcfEffect.`formatVersion(String effectString)`
Guess format 'main' version (either 'ANN' of 'EFF') without trying to guess sub-version
`EffFormatVersion`
VcfEffect.`getFormatVersion()`
`static EffFormatVersion`
EffFormatVersion.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EffFormatVersion[]`
EffFormatVersion.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.snpeff.vcf with parameters of type EffFormatVersion
Modifier and Type
Method
Description
`List<VcfEffect>`
VcfEntry.`getVcfEffects(EffFormatVersion formatVersion)`
Parse 'EFF' info field and get a list of effects
`static String`
VcfEffect.`infoFieldName(EffFormatVersion formatVersion)`
Get info field name based on format version
`void`
VcfEffect.`setFormatVersion(EffFormatVersion formatVersion)`
Constructors in org.snpeff.vcf with parameters of type EffFormatVersion
Modifier
Constructor
Description
``
`VcfEffect(String effectString, EffFormatVersion formatVersion)`
Constructor: Force format version
``
`VcfEffect(VariantEffect variantEffect, EffFormatVersion formatVersion)`
``
`VcfEffect(VariantEffect variantEffect, EffFormatVersion formatVersion, boolean useSequenceOntology, boolean useFirstEffect)`